Subject: Re: [Bitcoin-development] Reconsider build system change?

From: John Smith <[email-masked]>
Date: Sat, 2 Jul 2011 11:49:33 +0000

On Sat, Jul 2, 2011 at 11:30 AM, Matt Corallo <[email-masked]>wrote:

> would be up to whoever writes the build system. However, autotools is
> more standard than CMake, and since its a shell script, you dont have to
> install CMake which doesnt come standard on almost any distros (AFAIK).
>

CMake is also very standard, used by many projects, and is available in many
distros.

For debians it's as simple as apt-get install cmake, which is not a big
problem as you need to install the other dependencies (such as boost) as
well to build.

Fedora/redhat also seems to have the package 'cmake'. I don't think there is
any modern distro that doesn't have it as a package.

JS